#pragma once

#include "CoreMinimal.h"
#include "Subsystems/GameInstanceSubsystem.h"
#include "GameStateWatchdog.generated.h"

class UWorld;

UCLASS(Blueprintable)
class DEADBYDAYLIGHT_API UGameStateWatchdog : public UGameInstanceSubsystem
{
	GENERATED_BODY()

private:
	UFUNCTION(BlueprintCallable)
	void OnWorldLoaded(UWorld* newWorld);

public:
	UGameStateWatchdog();
};

FORCEINLINE uint32 GetTypeHash(const UGameStateWatchdog) { return 0; }
